Subject: Re: bug#45751: [feature/native-comp] emacs keeps running 100% of CPU

From: Andrea Corallo <[email-masked]>
Date: Tue, 12 Jan 2021 10:56:56 +0000

edouard debry <[email-masked]> writes:

> Tried on windows.
>
> Indeed, with previous settings in my init file, I do not see anymore emacs eating all memory, currently it remains at
> ~150Mo while idle.

Right so I'll merge with bug#45705.

> The only trouble is that some packages fail to be natively compiled as "smart-mode-line" with the same error :
> Debugger entered--Lisp error: (wrong-number-of-arguments (3 . 4) 2) 
>
> I blacklisted this package too.
>
> Details of the error follows, I presume this is a compatibility problem with emacs 28.0.50 ?

Yes I think so.

  Andrea